<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/resources/main.css" media="screen" />
        <title>팝빌 SDK jsp Example.</title>
    </head>

<%@ include file="common.jsp" %>
<%@page import="com.popbill.api.PopbillException"%>
<%@page import="com.popbill.api.message.AutoDenyNumberInfo"%>

<%
    /*
     * 팝빌회원에 등록된 080 수신거부 번호 정보를 확인합니다.
     * - https://developers.popbill.com/reference/sms/java/api/info#CheckAutoDenyNumber
     */

    // 팝빌회원 사업자번호 (하이픈 '-' 제외 10 자리)
    String testCorpNum = "1234567890";

    AutoDenyNumberInfo checkAutoDeny = null;

    try {

    	checkAutoDeny = messageService.checkAutoDenyNumber(testCorpNum);

    } catch (PopbillException pe) {
        // 적절한 오류 처리를 합니다. pe.getCode() 로 오류코드를 확인하고, pe.getMessage()로 관련 오류메시지를 확인합니다.
        // 예제에서는 exception.jsp 페이지에서 오류를 표시합니다.
        throw pe;
    }

%>
        <div id="content">
            <p class="heading1">Response</p>
            <br/>
            <fieldset class="fieldset1">
                <legend>080 번호 확인</legend>
                <fieldset class="fieldset2">
                    <ul>
                        <li>number (수신거부번호) : <%= checkAutoDeny.getNumber() %></li>
                        <li>regDT (등록일시) : <%= checkAutoDeny.getRegDT() %></li>
                    </ul>
                </fieldset>
            </fieldset>
        </div>
</html>
